{
	"compilerOptions": {
		"target": "esnext",
		"module": "esnext",
		"moduleResolution": "node",
		"strict": true,
		"noLib": false,
		"forceConsistentCasingInFileNames": true,
		"allowSyntheticDefaultImports": true,
		"strictFunctionTypes": false,
		"jsx": "preserve",
		"baseUrl": ".",
		"allowJs": true,
		"sourceMap": true,
		"esModuleInterop": true,
		"resolveJsonModule": true,
		"noUnusedLocals": true,
		"noUnusedParameters": true,
		"experimentalDecorators": true,
		"lib": ["dom", "esnext"],
		"noImplicitAny": false,
		"skipLibCheck": true,
		"strictNullChecks": false,
		"strictPropertyInitialization": false,
		"types": ["vite/client", "@dcloudio/types", "uni-modules/uview-plus/types"],
		"removeComments": true,
		"paths": {
			"@/*": ["src/*"],
			"/@/*": ["src/*"],
			"/#/*": ["types/*"]
		},
		"rootDir": ".",
		"outDir": "dist"
	},
	"include": [
		"src/**/*.ts",
		"src/**/*.d.ts",
		"src/**/*.tsx",
		"src/**/*.vue",
		"types/**/*.d.ts",
		"types/**/*.ts",
		"build/**/*.ts",
		"build/**/*.d.ts",
		"mock/**/*.ts",
		"vite.config.ts"
	],
	"typeRoots": [
		"@/env.d.ts"
	],
	"exclude": ["node_modules", "unpackage", "dist", "**/*.js"]
}